#!/usr/bin/python3
"""
 This script belongs to wirepy and is for the auto start of the tunnel
"""

from pathlib import Path
import subprocess
from subprocess import CompletedProcess

path_to_file = Path(Path.home() / ".config/wire_py/settings")

a_con = Path(path_to_file).read_text(encoding="utf-8").splitlines(keepends=True)
a_con = a_con[7].strip()
if a_con != "off":
    process: CompletedProcess[str] = subprocess.run(
        ["nmcli", "connection", "up", a_con],
        capture_output=True,
        text=True,
        check=False,
    )
    # Output from start_wg error
    if process.stderr:
        print(process.stderr)  # this is for the error, later on logfile

else:
    pass
